ps:今天在服务器上安装docker 发现报错版本异常

el7.x86_64
---> Package docker-scan-plugin.x86_64 0:0.8.0-3.el7 will be installed
---> Package libcgroup.x86_64 0:0.41-21.el7 will be installed
---> Package libseccomp.x86_64 0:2.3.1-4.el7 will be installed
--> Finished Dependency Resolution
Error: Package: 3:docker-ce-20.10.8-3.el7.x86_64 (docker-ce-stable)Requires: container-selinux >= 2:2.74
Error: Package: docker-ce-rootless-extras-20.10.8-3.el7.x86_64 (docker-ce-stable)Requires: fuse-overlayfs >= 0.7
Error: Package: docker-ce-rootless-extras-20.10.8-3.el7.x86_64 (docker-ce-stable)Requires: slirp4netns >= 0.4
Error: Package: containerd.io-1.4.9-3.1.el7.x86_64 (docker-ce-stable)

百度了一圈,还是谷哥好用:

# 参考解决
https://stackoverflow.com/questions/65878769/cannot-install-docker-in-a-rhel-server

解决办法

1、先注掉

#进入yum 源配置文件夹
cd /etc/yum.repos.d
mv CentOS-Base.repo CentOS-Base.repo_bak

2、解决这个问题所做的是在文件顶部添加一个条目/etc/yum.repos.d/docker-ce.repo,内容如下:

[centos-extras]
name=Centos extras - $basearch
baseurl=http://mirror.centos.org/centos/7/extras/x86_64
enabled=1
gpgcheck=0# 保存退出#然后安装命令:
yum -y install slirp4netns fuse-overlayfs container-selinux

centos7.9 安装docker报错 Requires: fuse-overlayfs >= 0.7安装时出现错误docker相关推荐

  1. 安装docker报错 Requires: fuse-overlayfs >= 0.7

    原因:安装时出现错误docker,centos7.9 安装docker报错 Requires: fuse-overlayfs >= 0.7 el7.x86_64 ---> Package ...

  2. Vue 安装 less 报错 While resolving: hblvbigdata@0.1.0

    Vue 安装 less 报错 While resolving: hblvbigdata@0.1.0 F:\Workspace\project\hhhs\wudslyh5\big-data\hblvbi ...

  3. CentOS 8 安装 Docker  报错  requires containerd.io >= 1.4.1, but none of the providers can be installed

    CentOS 8.1安装 Docker 官方参考地址:https://docs.docker.com/install/linux/docker-ce/centos/ 里面包含包下载地址:https:/ ...

  4. linux安装驱动报错权限没有,linux系统下安装显卡驱动程序.doc

    前言: 当用户执行下列操作有不能执行的时候或许是权限不够.遇到这个问题可以用命令: [[email protected] ~] su root #切换到root用户 password : 输入root ...

  5. Linux安装jdk报错:package jdk-16.0.2-2000:16.0.2-ga.aarch64 is intended for a different architecture

    今天在Linux环境下安装JDK的时候遇到个小问题.在网上找了很多方法试了试都不行,一开始以为自己的环境有问题,后来发现其实就是自己下载错JDK的RPM.报错如下所示: 原因:安装包下载错了下载成:j ...

  6. oracle安装gcc报错,记录oracle 9i for linux安装过程中几个错误

    最近因为一个测试环境需要oracle 9i,我在Oracle linux 4.8上安装,竟然遇到几个问题记录下: 1.运行runInstaller提示如下错误 [oracle@xifenfei Dis ...

  7. 【已解决】CentOS 7 安装MySQL80报错:mysql-community-icu-data-files = 8.0.28-1.el7 is needed by mysql-community

    当我们在执行rpm -ivh mysql-community-server-8.0.28-1.el7.x86_64.rpm的时候提示: warning: mysql-community-server- ...

  8. CCS6.1最后安装出现报错如下

    (libpng warning: iCCP: known incorrect sRGB profile)解决方法同下文一样. CCS6.1最后安装出现报错如下: CCS6.1最后安装出现报错如下 08 ...

  9. adb 安装apk报错Failure [INSTALL_FAILED_TEST_ONLY:]

    同样的debug apk在as上安装没任何问题,但是用adb命令安装却报错:INSTALL_FAILED_TEST_ONLY 原因:as安装apk时会给清单文件的application节点里加上tes ...

最新文章

  1. codeforces193B
  2. 几个数判断大小_许栩原创2020读书笔记2《魔鬼数学》:极小数的两倍仍然是极小数...
  3. WPF中用于嵌入其他进程窗口的自定义控件(AppContainer)
  4. java字母反过来_java之字母反转~~ - Plight - 51Testing软件测试网 51Testing软件测试网-软件测试人的精神家园...
  5. vivado2017.4启动时提示的“error when launching'E:\vivado':Launcher time out”的问题
  6. sprint2第三天任务完成情况
  7. AXI_01 《AXI总线系列文章》由来
  8. HTTP概念详解与案例测试
  9. java 函数式编程_Java函数式编程:Javaslang入门
  10. 使用Redis的简单消息队列
  11. TortoiseGit 将工作区变动文件提交本地仓库_入门试炼_04
  12. 【Pyhton爬虫】中国大学排名爬虫
  13. Vue 单文件中的数据传递
  14. 佳点集java_java实现遗传算法实例分享(打印城市信息)
  15. tSQLt单元测试的测试驱动数据库开发(TDDD)基础
  16. ejs 基础语法教程
  17. 帆软给报表块添加CSS
  18. 微信小程序之在线客服(即时聊天)
  19. 《Using OpenRefine》翻译~15
  20. QCC3040---Media Player module

热门文章

  1. SSH2中的No result defined for action的问题
  2. windows分区给linux根目录,装了双系统,为何在linux中看不到我windows中文件分区里的东东啊??!...
  3. 煽情的儿子24=随笔
  4. Windows NTFS 权限
  5. 996 | 不谈收入谈福报,我们凭什么要喝这碗毒鸡汤!
  6. CM2013 能用的 虚假的汉化工具
  7. DNA Regions
  8. 宜将剩勇追穷寇,不可沽名学霸王
  9. 远程诊断DoIP(笔记一)场景和原理
  10. 分别基于IO、NIO、Netty的Java网络程序